Package org.eclipse.emf.compare.internal.conflict

## Class ContainmentRefChangeConflictSearch

- java.lang.Object
- - org.eclipse.emf.compare.internal.conflict.ContainmentRefChangeConflictSearch

    public class ContainmentRefChangeConflictSearch
    extends Object

Search conflicts for containment `ReferenceChange`s.

### Nested Class Summary

Nested Classes
`static class` `ContainmentRefChangeConflictSearch.Add` Search conflicts for containment `ReferenceChange` of kind `DifferenceKind.ADD`.
`static class` `ContainmentRefChangeConflictSearch.Change` Search conflicts for containment `ReferenceChange` of kind `DifferenceKind.CHANGE`.
`static class` `ContainmentRefChangeConflictSearch.Delete` Search conflicts for containment `ReferenceChange` of kind `DifferenceKind.DELETE`.
`static class` `ContainmentRefChangeConflictSearch.Move` Search conflicts for containment `ReferenceChange` of kind `DifferenceKind.MOVE`.

### Constructor Summary

Constructors
`ContainmentRefChangeConflictSearch()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainmentRefChangeConflictSearch

    public ContainmentRefChangeConflictSearch()